Subject: Re: bug#50466: 28.0.50; isearch isearch-repeat-on-direction-change vs isearch-beginning-of-buffer

From: Juri Linkov <[email-masked]>
Date: Mon, 13 Sep 2021 21:18:54 +0300

>> Gregory already provided the patch on emacs-devel that fixes this.
>> But that patch was not installed because the copyright assignment process
>> was still in progress.  This patch could be installed now.
>> The patch name was 0001-Fix-behavior-of-isearch-beginning-end-of-buffer.patch
>> and its date: Sat, 10 Apr 2021 23:55:50 +0000 (5 months, 1 day, 19 hours ago)
>
> Right; now applied.  (I also applied the other patch in that post, since
> it seemed like it was agreed that that was a good feature.)

Thanks Gregory for this great feature, and thank you for installing it.
I had to tweak it a little.  I added the same logic from the patch
to isearch-beginning-of-buffer and isearch-end-of-buffer.
But these commands are quite obsolete now because of 'isearch-allow-motion',
so I mentioned this in their docstrings.